<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>..\bo_strong_key_pair.snk</AssemblyOriginatorKeyFile>
    <DelaySign>false</DelaySign>
    <RootNamespace>Quadarax.Foundation.Core</RootNamespace>
    <ApplicationIcon>..\quadarax_dll.ico</ApplicationIcon>
    <Title>Quadarax.Foundation.Core</Title>
    <Authors>Dalibor Votruba</Authors>
    <Company>Quadarax</Company>
    <Product>Quadarax.Foundation</Product>
    <Description>Core library with general pattern implementations and patterns</Description>
    <Copyright>Copyright © 2023 Quadarax</Copyright>
    <PackageIcon>quadarax_dll.png</PackageIcon>
    <PackageTags>QDR;FND;CORE</PackageTags>
    <AssemblyVersion>0.0.2.0</AssemblyVersion>
    <FileVersion>0.0.2.0</FileVersion>
    <Version>0.0.2.0-alpha</Version>
    <PackageReleaseNotes>Date:27.9.2023
- extends Thread/LoopWorker to support external ansync iteration body expression
- fix Thread/ContiguousWorker to support external ansync iteration body expression
- add Thread/BasicWorkerContext and extends IWorkerContext to stores CancellationToken
- extends Thread/AbstractWorker to work with default IWorkerContext, make public AbstractWorker.Context
- fix quality CA
- minor fixes</PackageReleaseNotes>
    <PackageReadmeFile>releasenotes.md</PackageReadmeFile>
    <Nullable>enable</Nullable>

  </PropertyGroup>

  <ItemGroup>
    <Content Include="releasenotes.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Data\Extensions\" />
    <Folder Include="Mapper\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\quadarax_dll.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.IO.Abstractions" Version="19.2.69" />
  </ItemGroup>

  <ItemGroup>
    <None Update="releasenotes.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
